#
# spec file for package spectre-meltdown-checker
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           spectre-meltdown-checker
Version:        0.40
Release:        11.1
Summary:        Spectre & Meltdown Vulnerability Checker
License:        GPL-3.0-only
Group:          Productivity/Security
Url:            https://github.com/speed47/spectre-meltdown-checker
Source:         %{name}-%{version}.tar.gz
ExclusiveArch:  %ix86 x86_64

%description
A shell script to tell if your Linux installation is vulnerable
against the three "speculative execution" CVEs that were made public
in early 2018.

Without options, the script inspects the currently running kernel.
Alternatively, a kernel image can be specify on the command line to
analyze a non-running kernel.

The script tries to detect mitigations, including backported
non-vanilla patches, regardless of the advertised kernel version
number.

%prep
%setup -q

%build

%install
mkdir -p %buildroot/usr/bin
install -m 0755 spectre-meltdown-checker.sh %buildroot/usr/bin/

%check
exec bash -n spectre-meltdown-checker.sh

%files
%doc LICENSE  README.md
%{_bindir}/*

%changelog
* Sun Oct 14 2018 sean@suspend.net
- version 0.40
  * add support for L1TF CVEs (aka Foreshadow and Foreshadow-NG)
  * add summary of vulnerabilities at the end of script execution
* Fri Jul 27 2018 jengelh@inai.de
- Compact and wrap description.
* Wed May 30 2018 meissner@suse.com
- version 0.37
  * lots of improvements
  * spectre v4 and v3a added
* Mon Jan 15 2018 adrian@suse.de
- update to version 0.31
  * meltdown: detecting Xen PV, reporting as not vulnerable
  * is_cpu_vulnerable: add check for old Atoms
  * ibrs: check for spec_ctrl_ibrs in cpuinfo
* Sat Jan 13 2018 adrian@suse.de
- update to version 0.29
  * AMD updates
* Fri Jan 12 2018 adrian@suse.de
- initial package of version 0.27
